MeCab Python 3 support #19

Closed
combacsa opened this Issue Sep 6, 2014 · 1 comment

Projects

None yet

2 participants

@combacsa
Contributor
combacsa commented Sep 6, 2014

Though most of the wrappers works fine with Python 3, MeCab-ko wrapper for python does not supports Python 3. Monkey patching or waiting for MeCab-ko-python wrapper developers to enhance their libraries, or any other ideas?

@e9t e9t added the enhancement label Sep 6, 2014
@e9t
Member
e9t commented Sep 13, 2014

은전한닢 프로젝트의 이용운님께서 이 이슈를 resolve할 수 있는 방법을 알려주셨습니다.
기존에는 HiroyukiHaga님께서 제공하는 미러를 사용해버젼 0.993를 설치하게 되어 있었는데, 은전한닢팀의 미러를 통해 0.996버젼을 이용하면 된다고 합니다.

아래 메일 내용을 참고해주세요:

안녕하세요. 저는 '은전한닢 프로젝트'를 개발하고 있는 이용운입니다.
우선 이런 좋은 프로그램을 개발해주셔서 감사합니다.

다름이 아니라 현재 MeCab의 Python 바인딩 소스가 Python 3.x에서 정상 동작 하지 않아서, SWIG를 최신 버전(SWIG 3.0.0)을 사용하여 다시 생성한 소스의 위치를 알려드리고 싶어서 이렇게 글을 올립니다. 아래의 소스를 사용하면 Python2, 3에서 모두 사용 가능합니다.

https://bitbucket.org/eunjeon/mecab-python-0.996

혹시 KoNLPy에서 해당 링크를 걸기에 문제가 있는 부분이 있으면, 말씀 주시기 바랍니다.

KoNLPy가 계속 번창하시길 바랍니다. 감사합니다.

(원본보기: https://groups.google.com/d/msg/konlpy/_uj7W663c00/mOtl-vyoItUJ)

@e9t e9t added a commit that closed this issue Sep 13, 2014
@e9t e9t Fix #19 7ec19a3
@e9t e9t closed this in 7ec19a3 Sep 13, 2014
@e9t e9t added the mecab label Jan 13, 2015
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment